@import url('https://fonts.googleapis.com/css?family=Pirata+One|Bilbo+Swash+Caps&display=swap');

@font-face {
  font-family: Morris;
  src: url(https://hunt.geekxime.fr/MorrisInitials.ttf);
  }

:root {
  --fontSize: calc((1vw + 1vh) * .75);
}

*, *:before, *:after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html, body {
	height: 100%;
}

body {
  font: var(--fontSize)/200% 'Bilbo Swash Caps', cursive;
  background-image: url(img/photo-1546484396-fb3fc6f95f98.webp);
  background-size: cover;
}

main {
  postion: relative;
  width: 100%;
  height: auto;
}

/* WARNING ! This solution seems to not work on all navigators.
This problem was reported to me on :
https://stackoverflow.com/questions/14585101/old-paper-background-texture-with-just-css/

August 2021 : ok on Chrome v92+, Firefox v90+, Edge v92+
*/

#parchment {
  position: absolute;
  /*display: flex;
  width: 75%;*/
  width: 97%;
  height: 100%;
  /* center page with absolute position */
  top: 0%; left: 50%; transform: translate(-50%, 0);
  margin: 2em 0;
	padding: 4em;
	box-shadow: 2px 3px 20px black, 0 0 125px #8f5922 inset;
	background: #fffef0;

  /* v2.2 : Noise added for a vellum paper effect */
  background-image: url(data:image/png;base64,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);
  /*min-height: 1700px;*/
}

@supports not (-webkit-touch-callout: none) {
	#parchment {
		/* v2.1 : borders effect with SVG : try to play with scale to change them */
		-webkit-filter: url(#wavy2);
	}
}

main p {
  font-size: 2.75em;
  color: #7F3300;
  margin-top: .75em;
  text-align: justify;
}

div p:not(:first-child)::first-letter {
  float: left;
  font: 1.7em/1em Morris;
  text-shadow: 1px 1px 1px #000;
  margin: 0 .5rem;
}

#contain {
  position: relative;
 	display: flex;
  flex-direction: column;
  /*width: 75%;*/
  width: 100%;
  height: auto;
  margin: 0 auto;
	padding: 4em;
}

.inkTitle {
  font-size: 3em;
	font-family: Pirata One, sans-serif;
  text-align: center;
  line-height: 3em;
	color: black;
	opacity: 0.6;
}

#labarum {
  width: 20%;
  margin-left: calc((100% - 20%) / 2);
  height: auto;
}

.cachet {
  /* image width = 210px and height = 250px */
  /*  5 is one common denominator 210 = 5 * 42 */
  width: calc((100vw * 5) / 42);
  height: auto; /* Height is auto ajusted */
  margin-top: 4rem;
  margin-left: auto;
}

#labarum img, .cachet img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

#signature {
  text-align: right;
  color: black;
  font-size: 250%;
}

#wrapper
{
    position: relative;
	text-align: center;
    /*width: 85%;*/
    overflow: hidden;
	/*margin-left: auto;
    margin-right: auto;*/
}

#wrapper:before
{
    content: "";
    display: block;
    padding-top: 5%;
}

#image
{
    position: inherit;
    top:      0;
    left:     0;
    bottom:   0;
    right:    0;
    height: auto;
    width: auto;
	min-width: 65%;
	max-width: 100%;
}

.registerbtn {
	background-color: #7F3300;
	color: white;
	padding: 16px 20px;
	margin: 8px 0;
	border: none;
	cursor: pointer;
	min-width: 10%;
	opacity: 0.9;
}

#leaflet-control-locate
{
	display: none;
}

.wrapperparch {
	position: relative;
	width: 100%;
}


$xy-border: (
  top: t,
  bottom: b,
  left: l,
  right: r
); 

[data-tooltip] {

  $triangle: .3rem;
  $background-color: rgba(51,51,51,.9);

  cursor: pointer;
  display: inline-block;
  line-height: 1;
  position: relative;

  &::after {
    background-color: $background-color;
    border-radius: $triangle;
    color: #fff;
    content: attr(data-tooltip);
    font-size: 1rem;
    font-size: 85%;
    font-weight: normal;
    line-height: 1.15rem;
    opacity: 0;
    padding: .25rem .5rem;
    position: absolute;
    text-align: center;
    text-transform: none;
    transition: opacity .2s;
    visibility: hidden;
    white-space: nowrap;
    z-index: 1;
  }

  @each $direction, $d in $xy-border {
    &.tooltip-#{$direction} {
      // arrows
      &::before {
        border-style: solid;
        border-width: $triangle;
        content: "";
        opacity: 0;
        position: absolute;
        transition: opacity .2s;
        visibility: hidden;
        @if $direction == top {
          border-color: $background-color transparent transparent transparent;
          top: 0;
          left: 50%;
          margin-left: -$triangle;
        } @else
        if $direction == bottom {
          border-color: transparent transparent $background-color transparent;
          bottom: 0;
          left: 50%;
          margin-left: -$triangle;
        } @else
        if $direction == left {
          border-color: transparent transparent transparent $background-color;
          top: $triangle;
          right: calc(110% - #{$triangle});
          margin-top: -$triangle;
        } @else
        if $direction == right {
          border-color: transparent $background-color transparent transparent;
          top: 50%;
          top: $triangle;
          left: calc(110% - #{$triangle});
          margin-top: -$triangle;
        }
      }

      &::after {
        @if $direction == top {
          bottom: 100%;
          left: 50%;
          transform: translate(-50%);
        } @else
        if $direction == bottom {
          top: 100%;
          left: 50%;
          transform: translate(-50%);
        } @else
        if $direction == left {
          top: -$triangle;
          right: calc(110% + #{$triangle});
        } @else
        if $direction == right {
          top: -$triangle;
          left: calc(110% + #{$triangle});
        }
      }
    }
  }

  &.tooltip-mobile {
    @media (max-width: 767px) {
      &::before {
        display: none;
      }

      &:after {
        font-size: 1rem;
        max-width: 20rem;
        position: fixed;
        bottom: auto; top: 50%;
        left: 50%;
        text-align: left;
        transform: translate(-50%);
        white-space: normal;
      }
    }
  }
  
  &:hover::after,
  &[class*=tooltip-]:hover::before {
    visibility: visible;
    opacity: 1;
  }
}

/*body {
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100vh;
}*/

.main {
  width: 20rem;
  
  p {
    margin: 0 0 1rem;
  }
  
  .wrapper {
    margin-bottom: 2rem;
    padding: 0 .5rem;
  }
  
  .flex {
    display: flex;
    justify-content: space-between;
  }
}